%define name	minicom
%define version	2.1
%define release	1mdk

Summary:	A text-based modem control and terminal emulation program.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
BuildRequires:	ncurses-devel
Source:		http://alioth.debian.org/download.php/123/%{name}-%{version}.tar.bz2
Source2:	minicom-po.tar.bz2
URL:		http://alioth.debian.org/projects/minicom/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	lrzsz


%description
Minicom is a simple text-based modem control and terminal emulation
program somewhat similar to MSDOS Telix.  Minicom includes a dialing
directory, full ANSI and VT100 emulation, an (external) scripting language,
and other features.

Minicom should be installed  if you need a simple modem control program
or terminal emulator.

%prep
%setup -q

# overwrite src/po with our own
#bzcat %{SOURCE2} | tar xf -
# no more needed with new minicom2 ? wait and see - yves 2.0.0-1mdk
%build
%configure
%make

%install
# Laurent don't use %%makeinstall_std otherwise po file is not found
%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 doc/minicom.users $RPM_BUILD_ROOT/etc/minicom.users
# yves - 1.83.1-11mdk - fix some not world readable doc
#chmod -f 0644 doc/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc doc
%config(noreplace) %{_sysconfdir}/minicom.users
%attr(755,root,uucp) %{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/*/*


%changelog
* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1-1mdk
- 2.1
- BuildRequires
 
* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.00.0-2mdk
- Add requires on lrzsz

* Thu Dec 13 2001 Yves Duret <yduret@mandrakesoft.com> 2.00.0-1mdk
- version 2.00.0-0, which now uses GNU autoconf for everything,
  to ease portability and internationalization issues.  Hold on for the
  ride, as there's bound to be some bumps on the way.  ;o)  On the up side,
  the packaging is likely to be MUCH more maintainable in the future, which
  is very nice to see.
  thus complete spec rewrite with just some macros..
- removed all patches, merged upstream
- no more provide our l10n (but keep the src in srpm for the moment)

* Tue Nov 20 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-12mdk
- rebuild

* Tue Aug 28 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-11mdk
- fix some doc files permission

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-10mdk
- build release

* Sat Jun 2 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-9mdk
- strip setgid bit from /usr/bin/minicom (vdanen)
- apply patch to fix format string vulnerabilities (vdanen)

* Sat Jun  2 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-8mdk
- added all the mo files...
- removed support for ko locales since it is still broken

* Fri May 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.83.1-7mdk
- merge updated translations from pablo

* Tue May  1 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-6mdk
- spec clean up

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.83.1-5mdk
- fix build (includes for glibc-2.2.2)

* Wed Jan  5 2001 Yves Duret <yduret@mandrakesoft.com> 1.83.1-4mdk
- %%_tmppath for BuildRoot
- added url tag
- remove old wmconfig stuff
- let do spec-helper his job : macros, strip, bz2, make with SMP support...

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.83.1-3mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.83.1-2mdk
- Updated %%files section.

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.83.1-1mdk
- Updated patches(make patch only modify Makefile and install only install.sh)
- 1.83.1

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.82.1-2mdk
- fix group

* Fri Nov 12 1999 Camille Bgnis <camille@mandrakesoft.com>
- restore setgid uucp to permit minicom to lock in /var/lock
- add test for compilation on SMP architectures
- add patch to install.sh to allow installation by non-root users
- modif install section to allow installation by non-root users
- update to 1.82.1

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- fixed bug, changed groups.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.82 to include i18n fixes

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- security fixes (alan cox, but he forgot about the changelog)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- BuildRoot; updated .make patch to cope with the buildroot
- fixed the spec file

* Tue May 06 1998 Michael Maher <mike@redhat.com>
- update of package (1.81)

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
